<?php
ini_set('display_errors', E_ALL);

include "vendor/autoload.php";

define('IS_DEV', (!isset($_SERVER['HTTP_HOST'])));
define('SITE_ROOT', __DIR__);

if (IS_DEV)
{
	define('OVERLAY_DIR', dirname(__DIR__) . '/esl-overlay/');
}
else
{
	define('OVERLAY_DIR', dirname(__DIR__) . '/overlays/');
}

$last_json = OVERLAY_DIR.'last.json';

$twig = \EOG\Utils\TwigFactory::getEnvironment(SITE_ROOT);

$s = new \EOG\Models\Stripe();

if (!empty($_POST['stripe']))
{
	$s->loadFromArray($_POST['stripe']);

    if (!empty($s->stripe['class'])) {
        file_put_contents($last_json, $s->getJson());
    }

	switch ($s->stripe['class'])
	{
		case 'simple':
			$html_content = $twig->render('templates/overlay-base.twig', ['stripe' => $s]);
			file_put_contents(OVERLAY_DIR . 'simple.html', $html_content);
			break;
		case 'team':
			$s->setClass('simple');
			$html_content = $twig->render('templates/overlay-base.twig', ['stripe' => $s]);
			file_put_contents(OVERLAY_DIR . 'simple.html', $html_content);

			$s->setClass('team');
			$html_content = $twig->render('templates/overlay-base.twig', ['stripe' => $s]);
			file_put_contents(OVERLAY_DIR . 'team.html', $html_content);

			break;
		case 'team-ban':
			$s->setClass('simple');
			$html_content = $twig->render('templates/overlay-base.twig', ['stripe' => $s]);
			file_put_contents(OVERLAY_DIR . 'simple.html', $html_content);

			$s->setClass('team');
			$html_content = $twig->render('templates/overlay-base.twig', ['stripe' => $s]);
			file_put_contents(OVERLAY_DIR . 'team.html', $html_content);

			$s->setClass('team-ban');
			$html_content = $twig->render('templates/overlay-base.twig', ['stripe' => $s]);
			file_put_contents(OVERLAY_DIR . 'team-ban.html', $html_content);
			break;
	}
} else {
    if (file_exists($last_json)) {
        $raw_json = file_get_contents($last_json);
        $stateArray = json_decode($raw_json, true);
        if (is_array($stateArray)) {
            $s->loadFromArray($stateArray);
        }
    }
}

$var = [
	'stripe'    => $s,
	'operators' => $s->getOperators(),
	'post'      => !empty($_POST['stripe'])
];
echo $twig->render('templates/admin/form.twig', $var);

